% PowSpec.m
%
%	Methodology:
%
%	Syntax:
%	[Yxx,f]=PowSpec(y,fs,df)
%
%	Variables:
%	INPUT
%	y			=	Time signal
%	fs			=	Sampling frequency
%	df			=	DESIRED df
%
%	WORKING
%	NFFT		=	Nummber of points for a given fft
%	NOVERLAP	=	Number of Points to overlap
%
%	OUTPUT
%	Yxx		=	Power Spectrum Amplitude
%	f			=	Frequency vector of power spectrum

%	Author:	Aaron Hastings, Herrick Labs, Purdue University
%	Date Started:	11 Nov 00
%	Last Revision:	11 Nov 00
%	Status: No Known Bugs

function [Yxx,f]=PowSpec(y,fs,df);

%%	Want to make sure that we have at least df resolution
NFFT=ceil(fs/df);	
%%	Set NFFT to power of 2 again err towards higher resolution
NFFT=2^ceil(log2(NFFT));

NOVERLAP=0;
[Yxx,f] = psd(y,NFFT,fs,NFFT,NOVERLAP);
Yxx=2*Yxx/NFFT;	%%	Scale to get the power spectrum correct
Yxx=Yxx';

return
